csv to wav python

Hi i have this code that suppose to convert csv file to wav file. it creates a wav file but we don't hear anything. If i put 10 rows in the csv file, it make an about 1 min wav file ! So it is not...

import librosa in google cloud ml

I am running Google cloud ML and when I try to import librosa I get the error: ImportError: No module named _tkinter, please install the python-tk package I do have the have a setup.py File, an...

librosa write_wav in mono?

I want to resample a mono recording recordered in 40.000 Hz to 44100 Hz. The code below works but librosa seems to save in stereo, making the file twice the size which is not needed and I have a...

Can't import a package installed in anaconda

I have a simple question. I have install resampy using anaconda conda install -c conda-forge resampy Now when I import resampy into my python program, it still returns the error saying Import...

Pip install functools returns error

I'm trying to install functools using pip. But i'm getting following error. Collecting functools Using cached functools-0.5.tar.gz Building wheels for collected packages: functools Running...

running librosa & numba on raspberry pi 3

I am trying to run librosa on my raspberry pi 3. After hours of searching through the internet I was finally able to install it but it still throws an error when I try to import it. First, I had...

How to resample audio file using Tensorflow API

I'm using tf.data.Dataset as pipeline in tensorflow to read and transform audio. I wanted to add audio resampling to reduce overfitting. I googled for a way to resample files in python/tensorflow...

how to add filter to tweepy stream in an flask socketio application?

With my flask-socketio app, I am trying to update all connected clients when I receive a new tweet. So following is my code. from tweepy.streaming import StreamListener from tweepy import...

Google App Engine: "Error: no module named numpy.distutils.core" while deploying an app

I've read several questions about deploying Python applications on GAE, but I still couldn't manage to make my own work. First I thought it was because of my requirements.txt file and my lib...

librosa installation via pip failing

Python version is 3.4.2 (env) [email protected]:~/Documents/Projects/my_proj$ pip install librosa Collecting librosa Collecting joblib>=0.12 (from librosa) ...

NotImplementedError in Google Cloud Dataflow and PubSub

I encountered an error when I was testing Dataflow locally on my computer. I intended to use the streaming service from Dataflow and got a "NotImplementedError". The detail of the error is like...

falcon module installed but not being detected

[email protected]:~/Documents/Projects/tacotron2_dacson_ishandutta2007$ pip...

conda create -n anaconda won't install full anaconda packages

I'd like to create a python3.6 env with default anaconda packages. The manual and many online resources say the command is conda create -n py36 python=3.6 anaconda. On other computers that works,...

ImportError: No module named 'models.flownet2_pytorch'

I'm new to DL & using Nvidia Server Trying to run vid2vid and already followed the instructions here: https://github.com/NVIDIA/vid2vid It seems like I got error about 'models.flownet2_pytorch' I...

Why does cx_Freeze rise this error when running an exe file?

I am a new user of cx_Freeze and I wanted to package my python file with all needed dependencies. I use Python3. I work under a python virtualenv with dependencies such as tensorflow, sklearn,...

Getting an error while installing librosa

I am trying to install librosa package, but getting an error below: Collecting librosa Using cached...

beam.io.ReadFromPubSub - ImportError: No module named iam.v1

I have a simple beam pipeline in which I am reading data from pub sub and writing to a file. I am running it on direct runner, the code is as follows: pubsub_data = ( p ...

UnsatisfiableError: The following specifications were found to be incompatible with each other:

I am running on Ubuntu 16.04 and I have run into issues with Anaconda. Due to package inconsistencies, I can no longer install, update or remove packages. $ conda info NVIDIA: no NVIDIA devices...

Error installing package in anaconda: Attempted to make prefix record for unknown package type

I'm getting the error below for doing any operation install, update or uninstall ERROR conda.core.link:_execute(700): An error occurred while uninstalling package '::ffmpeg-3.2.4-2'. Rolling...

Module not found error in Anaconda terminal

Can somebody please explain why this is happening? (base) C:\Users\Harry\Desktop>pip show numpy Name: numpy Version: 1.17.4 Summary: NumPy is the fundamental package for array computing with...

ImportError: cannot import name 'downsample' while importing lasagne in python 3.6

I am getting the above error with the following import statements on Google Colab GPU: import argparse #import cPickle import _pickle as cPickle import time import os import numpy as np import...

Unable to open audio file on Heroku using Librosa

I have a feature extraction REST API written in Python using the Librosa library (Extracting audio features), it receives an audio file through HTTP POST and responds with a list of features(such...

Error while installing turicreate using pip ...while building wheel for llvmlite

I am trying to install turicreate using pip install turicreate but receive the error below. I don't know what this error is telling me to do. Someone in the comments asked if I installed llvm...

pygpu problem : DLL load failed: The specified procedure could not be found

When Trying to run a model in Theano on anaconda Using TensorFlow backend. pygame 1.9.6 Hello from the pygame community....

I am getting "OSError: sndfile library not found" & "Unable to locate package libsndfile1" errors when deploying audio prediction model on Heroku

The objective is to deploy an audio prediction ML model on Heroku, which uses librosa library from python. The app.py file uses librosa library to extract features from the audio. When I try to...

Librosa cannot load from BytesIO

I am currently trying to create a large dataset for deep learning consisting of a lot of compressed mp3 files stored together so I dont have 100k files that I have to load individually. x =...

Not able to install librosa

I am not able to install librosa in Ubuntu 18.04. I have tried the following commands, all are failed. pip install librosa python3.8 -m pip install librosa sudo pip install librosa pip install -u...

tensorflow dependencies continuously gives me errors in colab during installation of deepspeech environment

when I run the following command on Google Colab !pip3 install --upgrade pip==20.0.2 wheel==0.34.2 setuptools==46.1.3 !pip3 install --upgrade --force-reinstall -e . Got an error ERROR: pip's...

Sudden Tensorflow / Keras Google Colab dependency problems `AttributeError: module 'tensorflow._api.v1.compat.v2' has no attribute '__internal__'`

I have running a machine learning model (Matterport's Mask R-CNN) in google colab for a couple of weeks. All of a sudden today I am unable to run any of my notebooks due to I think some kind of...

ERROR: CMake must be installed to build dlib

While using docker build -t /flask-docker to create an image to later upload it to heroku, I get the following errors: #8 417.3 ERROR: CMake must be installed to build dlib #8 417.3 #8 417.3 ...